<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://mailto:sr.msilva@hotmail.com
 * @since             1.0.0
 * @package           Custom_Pdf_Invoices
 *
 * @wordpress-plugin
 * Plugin Name:       Custom PDF Invoices
 * Plugin URI:        https://mailto:sr.msilva@hotmail.com
 * Description:       Plugin Para adicionar customização ao PDF de Invoice
 * Version:           1.0.0
 * Author:            Marcos Silva
 * Author URI:        https://mailto:sr.msilva@hotmail.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       custom-pdf-invoices
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
	die;
}

// require_once './extend-fields.php';

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define('CUSTOM_PDF_INVOICES_VERSION', '1.0.0');

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-custom-pdf-invoices-activator.php
 */
function activate_custom_pdf_invoices()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-custom-pdf-invoices-activator.php';
	Custom_Pdf_Invoices_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-custom-pdf-invoices-deactivator.php
 */
function deactivate_custom_pdf_invoices()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-custom-pdf-invoices-deactivator.php';
	Custom_Pdf_Invoices_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_custom_pdf_invoices');
register_deactivation_hook(__FILE__, 'deactivate_custom_pdf_invoices');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-custom-pdf-invoices.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_custom_pdf_invoices()
{

	$plugin = new Custom_Pdf_Invoices();
	$plugin->run();
}
run_custom_pdf_invoices();
