<?php

/**
 * Fired during plugin activation
 *
 * @link       https://mailto:sr.msilva@hotmail.com
 * @since      1.0.0
 *
 * @package    Custom_Pdf_Invoices
 * @subpackage Custom_Pdf_Invoices/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Custom_Pdf_Invoices
 * @subpackage Custom_Pdf_Invoices/includes
 * @author     Marcos Silva <sr.msilva@hotmail.com>
 */
class Custom_Pdf_Invoices_Activator
{

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate()
	{
		if (defined('WPI_TEMPLATES_DIR')) {
			$folder = dirname(__FILE__, 2) . "/templates/invoice/simple/minimal";

			$link = WPI_TEMPLATES_DIR . "/templates/invoice/simple/minimal";

			$result = symlink($folder, $link);
			$msg = "Pasta de Template criada com sucesso!";
			if (!$result) {
				$msg = 'Não foi possível cria a pasta de template devido as permissões, será necessário ação manual';
			}

			set_transient('cpi_create_template_info', $msg, 10 * MINUTE_IN_SECONDS);
		}
	}
}
