<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://mailto:sr.msilva@hotmail.com
 * @since      1.0.0
 *
 * @package    Custom_Pdf_Invoices
 * @subpackage Custom_Pdf_Invoices/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Custom_Pdf_Invoices
 * @subpackage Custom_Pdf_Invoices/includes
 * @author     Marcos Silva <sr.msilva@hotmail.com>
 */
class Custom_Pdf_Invoices_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'custom-pdf-invoices',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
